Subject: [Fot] Pictures from Pacific Raceway 6-7 July

From: "Jack Brooks" <[email-masked]>
Date: Tue, 9 Jul 2013 21:45:50 -0700

Gents,

I have a number of photos of the Triumphs from Saturday and Sunday from this
past weekend's Sovren Historics.  Please respond directly to me with an
email and I'll get them to you.  I have photos of Chuck A., Bill B., Steve
H., John J., Mike M., Charly M., Jeff Q.  

Also, while I have an email address for Bill H. (Thanks Tony G.) I don't
know who was driving the #6 Devin.  I have some pictures of him too.  If you
know who and have an email address please let me know.

It was great seeing (almost) all of you this weekend; I never did find you
Steve - sorry!  I look forward to sharing these pictures with you guys.

Jack
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive